﻿
.search { padding-bottom: 2em;}

.searchHeader { font-family: "Bubblegum Sans"; font-size: 30px; color: #ce181e; }

.mainBody h4 {
     font-family: "Bubblegum Sans"; font-size: 26px; color: #F41971;
}

.category-button {
    background: none;
    border: none;
    width: 100%;
    text-align: left;
    outline: 0;
    display: block;
}

.category-button:hover {
    text-decoration: none;
}

.category-button-icon {
    /*background-color: white; 
    border-radius: 50%; */
    height: 40px; 
    margin: 5px; 
    padding: 5px; 
    width: 40px;
}

.gradient-header {
background: rgba(255,255,255,0);
background: -moz-linear-gradient(left, rgba(255,255,255,0) 0%, rgba(255,255,255,1) 13%, rgba(255,255,255,1) 90%, rgba(255,255,255,0) 100%);
background: -webkit-gradient(left top, right top, color-stop(0%, rgba(255,255,255,0)), color-stop(13%, rgba(255,255,255,1)), color-stop(90%, rgba(255,255,255,1)), color-stop(100%, rgba(255,255,255,0)));
background: -webkit-linear-gradient(left, rgba(255,255,255,0) 0%, rgba(255,255,255,1) 13%, rgba(255,255,255,1) 90%, rgba(255,255,255,0) 100%);
background: -o-linear-gradient(left, rgba(255,255,255,0) 0%, rgba(255,255,255,1) 13%, rgba(255,255,255,1) 90%, rgba(255,255,255,0) 100%);
background: -ms-linear-gradient(left, rgba(255,255,255,0) 0%, rgba(255,255,255,1) 13%, rgba(255,255,255,1) 90%, rgba(255,255,255,0) 100%);
background: linear-gradient(to right, rgba(255,255,255,0) 0%, rgba(255,255,255,1) 13%, rgba(255,255,255,1) 90%, rgba(255,255,255,0) 100%);
filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#ffffff', endColorstr='#ffffff', GradientType=1 );
    text-align: center;
    padding-bottom: 4px;
    padding-top: 4px;
}

.image-button {
     text-align: center;
}
.image-button img {
    width: initial;
    max-width: 200px;
    max-height: 100%;
    filter: none !important;
    -webkit-filter: initial !important;
    background: #fff;
    padding: 5px;
    border-radius: 5px;
}

.top-level
{
   background-color: #91bd09; 
   border-radius: 5px; 
   margin-bottom: 5px;
       -webkit-box-shadow: 0px 0px 15px 0px rgba(0, 0, 0, .5);
    box-shadow: 0px 0px 15px 0px rgba(0, 0, 0, .5);
}

.top-level:hover {
    background-color: #749a02;
}

.top-level span, .second-level button, .second-level span {
    color: white;
    font-weight: bold;
    font-size: 20px;
}

.invert {
    /*filter: invert(0%);*/
    -webkit-filter:invert(1);
      
}

.top-level.selected-button {
    background-color:#009ECE !important;
}

.second-level {
    background-color: #91bd09;
    border-radius: 5px; margin-bottom: 2px;
    margin-left: 10px;
    margin-bottom: 5px;
}

.second-level:hover {
    background-color: #749a02;
}

.second-level.selected-button {
    background-color: #009ECE;
}

input.ng-invalid {
    background-color: #fff9ae !important;
}
input.ng-valid {
    background-color: #fff !important;
}

.progress-overlay {
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=80)";
    background: black
                url('/images/pinwheel.gif')
                50% 50%
                no-repeat;
    color: white;
    filter: alpha(opacity=80);
    height: 100%;
    left: 0;
    opacity: 0.6;
    opacity: 0.80;
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 1000;
}

.progress-overlay .message {
    font-weight: bold;
    
    position: absolute;
    text-align: center;
    top: 56%;
    width: 100%;
}




.searchBox {
    width: 100%;
}

.searchHeader {
    text-align: center;
}



.product-frame {  
    height: 560px;
    /*width: 160px;*/
    border:5px solid #91bd09;
    border-radius: 5px;
    background-color: white;

}  

.product-frame h1 {
    font-family: Asap; 
    font-size: 20px;
    color: #000000;
    text-align:center;
    font-weight: normal;
    min-height:44px; /*at least double the font-size height so we can get two lines of description*/
}



.product-frame-inner {
    height: 415px; /*product-frame height - title height - footer height */
}

.product-image-column {
    position: absolute;  
    top: 0;  
    bottom: 0;  
    left: 0;  
    right: 0;  
    margin: auto;
    height: 400px; /*equals max image height*/
    text-align: center;
}

.product-image-helper {
    display: inline-block;
    height: 100%;
    vertical-align: middle;
}
.product-image {  
  max-height: 90%;  
  max-width: 90%;
    vertical-align: middle;
   
}

.product-navigation-column {
    width: 15%;
    height: 100%;
    text-align: center;
     float: left;
}
.product-column {
    width: 70%;
    height: 100%;
    text-align: center;
    float: left;
}

.product-navigation-button {
    /*position:relative; 
    top:50%;
    height: 40px;
    width: 40px;
    border-radius: 50%; 
    z-index: 100; 
    background: lightblue; 
    border: 2px solid darkblue;
    font-weight: bold;
        */
    position: relative;
    top: 40%;
    height:20%;
    width:90%;
    background: #91bd09;
    
    border: 0px;
    
}

.product-navigation-button:disabled i {
    color: gray;
    font-weight: normal;
    
}

#overlay {
     position: absolute;
    width: 100%; height:100%;
    top:0; left:0;
    /*background:rgba(0,0,0,0.01);*/
    background-image: url('/images/plus.png');
    background-size: 150px 150px;
    background-repeat: no-repeat;
    background-position: center; 
    opacity: 0;
     transition: all 1s;
    -webkit-transition: all 1s;
}

.product-footer-buttons {
    text-align: center;
}

.product-footer-buttons button {
    color: #FFF;
    font-size: 20px;
    margin: 0px 5px 0 5px;
}

.product-footer-buttons button i {
    color: #FFF; 
    font-size:21px;
    
}



@media (max-width: 768px) {
    .nav-pointer-row {
    height: 40px;
    }


    .your-wishlist
    {
    height: 300px !important;
    max-height: 300px !important;
    }

     /*.product-frame {
         height: 300px;
     }
     .product-frame-inner {
         height: 240px;
     }
    .product-image-column {
        height: 140px;
    }
    .product-image {
        max-height: 100px;
    }*/
    #overlay {
         background-size: 80px 80px;
    }

    #wishlistButtons a { margin-top:10px;}
    .product-frame { margin-left: -10px !important; 
                     margin-right:-10px !important;
                     height: 360px;

    }

.product-frame h1 {
    font-size: 15px;
    min-height:30px; /*at least double the font-size height so we can get two lines of description*/
    margin-left:5px;
    margin-right:5px;
}



.product-frame-inner {
    height: 215px; /*product-frame height - title height - footer height */
}

.modal-dialog-container {
    margin-top:10px !important;
    
}

.image-button {
    padding: 0px;
}

}



#hover-helper {
    position: relative;
}

#hover-helper:hover #overlay {
    opacity:1;
}

.categories-loading {
     height: 500px;
    background-color: white;
    max-height: 500px;
    overflow-x: hidden;
    overflow-y: scroll;
    border: 4px solid #91bd09;
    vertical-align: middle;
}

.your-wishlist
{
    height: 500px;
    background-color: white;
    max-height: 500px;
    overflow-x: hidden;
    overflow-y: scroll;
    border: 4px solid #91bd09;
}



.wishlist-item {
     font-size: 0.8em;
    margin-bottom: 10px;
    padding-top: 5px;
    padding-bottom: 5px; 
    border-bottom: 2px whitesmoke solid;
}

/*
.wishlist-item img {
    max-width: 90px;
    max-height: 100px;
    margin-left: 10px;
    margin-right: 10px;
}
    */

.wishlist-item:nth-child(odd) {
   
}

.wishlist-item-remove {
    background: lightcoral;
    border: 0px;
    width: 20px;
    height: 20px;
    border-radius: 50%;
}




.viewShare h1 {
    color: #F41971;
}

.viewShare h3 {
    color: #F41971;
}

.viewShare .your-wishlist img {
    max-width: 50px;
    max-height: 50px;
}


.share-list {
    list-style: none;
    padding-left: 0px;
}

    .share-list li {
         display:inline;
         margin-left: 5px;
         margin-right: 5px;
    }

    .share-list img {
        width: 40px;
    }




.big-button {
    font-size: 20px !important;
}

.static-content {
    background: white;
    padding: 10px 30px 30px 30px;
        -webkit-box-shadow: 0px 0px 15px 0px rgba(0, 0, 0, .5);
    box-shadow: 0px 0px 15px 0px rgba(0, 0, 0, .5);
}

.searchResults { 
    background: white; 
    border: 1px solid black; 
    padding-top: 10px; 
    padding-bottom: 10px; 
    position: absolute; 
    z-index: 1000;
    margin-right:15px;
}

.searchResultItem {
    margin-bottom: 5px;
    border-bottom: 1px solid lightgray;
    margin-left: 0px !important;
    margin-right: 0px !important;
}

    .searchResultItem button i {
        color: white;
    }

.searchResultItem img {
    margin-bottom: 5px;
}

.seachResults img { 
   
}


/*
 * CSS Styles that are needed by jScrollPane for it to operate correctly.
 *
 * Include this stylesheet in your site or copy and paste the styles below into your stylesheet - jScrollPane
 * may not operate correctly without them.
 */

.jspContainer
{
	overflow: hidden;
	position: relative;
}

.jspPane
{
	position: absolute;
}

.jspVerticalBar
{
	position: absolute;
	top: 0;
	right: 0;
	width: 16px;
	height: 100%;
	background: red;
}

.jspHorizontalBar
{
	position: absolute;
	bottom: 0;
	left: 0;
	width: 100%;
	height: 16px;
	background: red;
}

.jspCap
{
	display: none;
}

.jspHorizontalBar .jspCap
{
	float: left;
}

.jspTrack
{
	background: #009ECE;
	position: relative;
}

.jspDrag
{
	background: #bbd;
	position: relative;
	top: 0;
	left: 0;
	cursor: pointer;
}

.jspHorizontalBar .jspTrack,
.jspHorizontalBar .jspDrag
{
	float: left;
	height: 100%;
}

.jspArrow
{
	background: #50506d;
	text-indent: -20000px;
	display: block;
	cursor: pointer;
	padding: 0;
	margin: 0;
}

.jspArrow.jspDisabled
{
	cursor: default;
	background: #80808d;
}

.jspVerticalBar .jspArrow
{
	height: 16px;
}

.jspHorizontalBar .jspArrow
{
	width: 16px;
	float: left;
	height: 100%;
}

.jspVerticalBar .jspArrow:focus
{
	outline: none;
}

.jspCorner
{
	background: #eeeef4;
	float: left;
	height: 100%;
}

/* Yuk! CSS Hack for IE6 3 pixel bug :( */
* html .jspCorner
{
	margin: 0 -3px 0 0;
}




@media print {
    .col-print-1 {width:8%;  float:left;}
    .col-print-2 {width:16%; float:left;}
    .col-print-3 {width:25%; float:left;}
    .col-print-4 {width:33%; float:left;}
    .col-print-5 {width:42%; float:left;}
    .col-print-6 {width:50%; float:left;}
    .col-print-7 {width:58%; float:left;}
    .col-print-8 {width:66%; float:left;}
    .col-print-9 {width:75%; float:left;}
    .col-print-10{width:83%; float:left;}
    .col-print-11{width:92%; float:left;}
    .col-print-12{width:100%; float:left;}
 
    .viewList .footer { display: none; }
    .viewList #buyOnlineHeader { display: none;}
    .viewList #cart { display: none; }
}

.publishedOn {
    font-size: 75%;
    color: grey;
    margin-left:2em
}

.blog h1 {
    margin-bottom: 0px;
}

.blog h1 a {
    font-size: 31px;
    color: #749a02;
}

.blog p {
    font-size:14pt;

}

div.polaroid {
    max-width: 100%;
    width: 300px;
    background-color: white;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
   
    margin-right: 20px;
    float:left;
    margin-bottom: 10px;
    
}

div.polaroid img {width: 100%;
                  border-bottom: 1px solid lightgrey;
                  padding:20px;
}

div.polaroid .info {
  text-align: center;
  padding: 10px 20px;
}

/*.blog img {
    padding: 15px 15px 0;
  background-color: white;
  box-shadow: 0 1px 3px rgba(34, 25, 25, 0.4);
  -moz-box-shadow: 0 1px 2px rgba(34,25,25,0.4);
  -webkit-box-shadow: 0 1px 3px rgba(34, 25, 25, 0.4);
}*/